org.keycloak.services.resources.admin

## Class ClientStorageProviderResource

- java.lang.Object
- - org.keycloak.services.resources.admin.ClientStorageProviderResource

-     public class ClientStorageProviderResource
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AdminEventBuilder` | `adminEvent`
    `protected AdminPermissionEvaluator` | `auth`
    `protected ClientConnection` | `clientConnection`
    `protected javax.ws.rs.core.HttpHeaders` | `headers`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientStorageProviderResource(RealmModel realm, AdminPermissionEvaluator auth, AdminEventBuilder adminEvent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getSimpleName(String id)` Need this for admin console to display simple name of provider when displaying client detail KEYCLOAK-4328

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected RealmModel realm

    - #### auth

          protected AdminPermissionEvaluator auth

    - #### adminEvent

          protected AdminEventBuilder adminEvent

    - #### clientConnection

          @Context
          protected ClientConnection clientConnection

    - #### session

          @Context
          protected KeycloakSession session

    - #### headers

          @Context
          protected javax.ws.rs.core.HttpHeaders headers

  - ### Constructor Detail

    - #### ClientStorageProviderResource

          public ClientStorageProviderResource(RealmModel realm,
                                               AdminPermissionEvaluator auth,
                                               AdminEventBuilder adminEvent)

  - ### Method Detail

    - #### getSimpleName

          @GET
           @Path(value="{id}/name")
           @Produces(value="application/json")
          public Map<String,String> getSimpleName(@PathParam(value="id")
                                                                                                                      String id)

      Need this for admin console to display simple name of provider when displaying client detail KEYCLOAK-4328
      Parameters:
        `id` -
      Returns:

Copyright © 2020 JBoss by Red Hat. All rights reserved.